# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('momo', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='MomoOptions',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('title', models.CharField(max_length=100, null=True, verbose_name='Application Title')),
                ('contact_email', models.EmailField(max_length=75, null=True, verbose_name='Contact Email')),
                ('update_freq', models.PositiveIntegerField(default=86400, null=True, verbose_name='Update Frequency (in seconds)')),
                ('icons_on_homepage', models.BooleanField(default=False, verbose_name='Use icons on the homepage')),
            ],
            options={
            },
            bases=(models.Model,),
        ),
    ]
