# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import datetime
from django.utils.timezone import utc
import combo.data.fields


class Migration(migrations.Migration):

    dependencies = [
        ('momo', '0010_auto_20160928_1152'),
    ]

    operations = [
        migrations.AddField(
            model_name='momoiconcell',
            name='last_update_timestamp',
            field=models.DateTimeField(default=datetime.datetime.now(utc), auto_now=True),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='momoiconcell',
            name='description',
            field=combo.data.fields.RichTextField(null=True, verbose_name='Description', blank=True),
        ),
    ]
