$(function() {
  $('.usersearch').delegate('input', 'keyup', function() {
    var q = $(this).val();
    var search_result_ul = $(this).parent().find('ul.result');
    search_result_ul.empty();
    $.getJSON($(this).data('autocomplete-json'),
            {'q': q},
            function (response) {
                    search_result_ul.empty();
                    $(response).each(function(idx, elem) {
                       var new_elem = '<li><a href="?selected_user_id=' + encodeURIComponent(elem.pk) + '">';
                       new_elem = new_elem + elem.fields.first_name + ' ' + elem.fields.last_name;
                       new_elem = new_elem + ' <span class="email">' + elem.fields.email + '</span>';
                       new_elem = new_elem + '</a></li>'
                       $(new_elem).appendTo(search_result_ul);
                    });
            }
    );
    return false;
  });
});
