# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import jsonfield.fields


class Migration(migrations.Migration):

    dependencies = [
        ('wcs', '0011_auto_20151215_1121'),
    ]

    operations = [
        migrations.AddField(
            model_name='wcsformsofcategorycell',
            name='manual_order',
            field=jsonfield.fields.JSONField(default=dict, help_text='Use drag and drop to reorder forms', verbose_name='Manual Order', blank=True),
            preserve_default=True,
        ),
        migrations.AlterField(
            model_name='wcsformsofcategorycell',
            name='ordering',
            field=models.CharField(default=b'alpha', max_length=20, verbose_name='Order', choices=[(b'alpha', 'Default (alphabetical)'), (b'popularity', 'Popularity'), (b'manual', 'Manual')]),
            preserve_default=True,
        ),
    ]
