# combo - content management system
# Copyright (C) 2015  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from django.conf import settings

from combo.utils.cache import cache_during_request
from combo.apps.pwa.models import PwaSettings

def template_vars(request):
    context_extras = {}
    context_extras['debug'] = settings.DEBUG
    context_extras['pwa_settings'] = cache_during_request(PwaSettings.singleton)
    context_extras.update(settings.TEMPLATE_VARS)
    return context_extras
